# Contributing to pyNeVer
Bug fixes, feature additions, tests, documentation and more can be contributed 
via [issues](https://github.com/NeVerTools/pyNeVer/issues) and/or [merge_requests](https://github.com/NeVerTools/pyNeVer/merge_requests). All contributions are welcome.

## Contributors
- Stefano Demarchi
- Dario Guidotti
- Andrea Gimelli
- Elena Botoeva

## Alumni
- Karim Pedemonte
- Pedro Henrique Simão Achete

## Bug fixes, feature additions, etc.
Please send a merge request to the main branch. Tests or documentation without bug fixes or feature additions are welcome too. Feel free to ask questions [via issues](https://github.com/NeVerTools/pyNeVer/issues/new), 

- Create a branch from _main_.
- Develop bug fixes, features, tests, etc.
- Test your code on Python 3.11.x. A regression test is available by running from the main directory `python test/regression/run_regression_test.py`
- Create a merge request to merge the changes from your branch to the pyNeVer main branch.

### Guidelines
- Separate code commits from reformatting commits.
- Provide tests for any newly added code when possible.
- Document your code following the [documentation guidelines](docs/template.py)

## Reporting Issues
When reporting issues, please include code that reproduces the issue and whenever possible, an image that demonstrates the issue. Please upload images to GitHub, not to third-party file hosting sites. If necessary, add the image to a zip or tar archive.

The best reproductions are self-contained scripts with minimal dependencies. If you are using a framework, try to replicate the issue just using pyNeVer.

### Provide details
- What did you do?
- What did you expect to happen?
- What actually happened?
- What versions of pyNeVer and Python are you using?
